Author Topic: C::B Building Error  (Read 1663 times)

Offline JohnDLynn

  • Single posting newcomer
  • *
  • Posts: 3
C::B Building Error
« on: July 01, 2016, 11:01:31 am »
I tried to build C::B after using ./bootstrap and ./configure --with-contrib-plugins=all, only to find this:
<code>
 /bin/bash ../../../../../libtool  --tag=CXX   --mode=link g++ -std=c++11  -O2 -ffast-math -DCB_AUTOCONF -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -version-info 0:1:0 -Wl,--no-undefined  -o libwxled.la -rpath /usr/local/lib/codeblocks/wxContribItems ./gizmosled/src/ledctrl.lo ./lcdWindow/src/lcdwindow.lo ./led/src/led.lo ./led/src/stateLed.lo ./led/src/xrc/xh_ledHandler.lo ./led/src/xrc/xh_stateLedHandler.lo ./ledpanel/src/advancedmatrixobject.lo ./ledpanel/src/font75.lo ./ledpanel/src/font77.lo ./ledpanel/src/matrixobject.lo ./ledpanel/src/wxledfont.lo ./ledpanel/src/wxledpanel.lo -L/usr/lib/i386-linux-gnu -pthread   -lwx_gtk2u_aui-3.0 -lwx_gtk2u_propgrid-3.0 -lwx_gtk2u_richtext-3.0 -lwx_gtk2u_xrc-3.0 -lwx_gtk2u_html-3.0 -lwx_gtk2u_qa-3.0 -lwx_gtk2u_adv-3.0 -lwx_gtk2u_core-3.0 -lwx_baseu_xml-3.0 -lwx_baseu_net-3.0 -lwx_baseu-3.0  -lpthread -ldl
libtool:   error: './gizmosled/src/ledctrl.lo' is not a valid libtool object
</code>
How do I solve it?